
.miam-recipes-history__title {
  display: flex;
  justify-content: space-between;

  .miam-recipes-history__title__pagination {
    display: flex;
    align-items: center;
    color: gray;
    font-size: 12px;
    user-select: none;

    .left {
      transform: rotate(90deg);
      margin-right: 8px;
      cursor: pointer;
    }

    .right {
      transform: rotate(-90deg);
      margin-left: 8px;
      cursor: pointer;
    }
  }
}

.miam-recipes-history__groups__header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.miam-recipes-history__groups__header {
  cursor: pointer;

  &:hover {
    .miam-recipes-history__groups__header__date {
      text-decoration: underline;
    }
  }
}

.miam-recipes-history__groups__header__date {
  font-weight: bold;
}

.miam-recipes-history__groups__header__chevron {
  transition-duration: 0.5s;

  &.rotate {
    transform: rotate(-180deg);
  }
}

.miam-recipes-history__groups__recipes {
  transition: max-height 0.25s ease-in;
  max-height: 2000px; // more than enough...
  overflow-y: auto;

  &.wrap {
    transition: max-height 0.15s ease-out;
    max-height: 0;
    overflow-y: hidden;
  }
}